﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PCWiFi
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        System.Net.Sockets.TcpClient tcpClient;
        System.Net.Sockets.NetworkStream networkStream;
        Boolean opened = false;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Windows_Closed(object sender, EventArgs e)
        {
            if (opened == true)
            {
                Byte[] txbuf = System.Text.Encoding.UTF8.GetBytes("S");
                networkStream.Write(txbuf, 0, txbuf.Length);

                networkStream.Close();
                tcpClient.Close();

                opened = false;
                C.Content = "CONNECT";
            }
        }

        private void C_Click(object sender, RoutedEventArgs e)
        {
            if (opened == false)
            {
                try
                {
                    tcpClient = new System.Net.Sockets.TcpClient("169.254.1.1", 8001);
                    networkStream = tcpClient.GetStream();

                    opened = true;
                    C.Content = "DISCONNECT";
                }
                catch (System.Net.Sockets.SocketException ex)
                {
                    MessageBox.Show("SOCKETEXCEPTION");
                }
            }
            else
            {
                Byte[] txbuf = System.Text.Encoding.UTF8.GetBytes("S");
                networkStream.Write(txbuf, 0, txbuf.Length);

                networkStream.Close();
                tcpClient.Close();

                opened = false;
                C.Content = "CONNECT";
            }
        }

        private void S_Click(object sender, RoutedEventArgs e)
        {
            if (opened == true)
            {
                Byte[] txbuf = System.Text.Encoding.UTF8.GetBytes("S");
                networkStream.Write(txbuf, 0, txbuf.Length);
            }
        }

        private void F_Click(object sender, RoutedEventArgs e)
        {
            if (opened == true)
            {
                Byte[] txbuf = System.Text.Encoding.UTF8.GetBytes("F");
                networkStream.Write(txbuf, 0, txbuf.Length);
            }
        }

        private void B_Click(object sender, RoutedEventArgs e)
        {
            if (opened == true)
            {
                Byte[] txbuf = System.Text.Encoding.UTF8.GetBytes("B");
                networkStream.Write(txbuf, 0, txbuf.Length);
            }
        }

        private void L_Click(object sender, RoutedEventArgs e)
        {
            if (opened == true)
            {
                Byte[] txbuf = System.Text.Encoding.UTF8.GetBytes("L");
                networkStream.Write(txbuf, 0, txbuf.Length);
            }
        }

        private void R_Click(object sender, RoutedEventArgs e)
        {
            if (opened == true)
            {
                Byte[] txbuf = System.Text.Encoding.UTF8.GetBytes("R");
                networkStream.Write(txbuf, 0, txbuf.Length);
            }
        }
    }
}
